Module javafx.graphics
Package javafx.scene.transform

# Class TransformChangedEvent

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.scene.transform.TransformChangedEvent

All Implemented Interfaces:
  `Serializable`, `Cloneable`

    public final class TransformChangedEvent
    extends Event

This event is fired on a transform when any of its properties changes.

Since:
  JavaFX 8.0
See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static EventType<TransformChangedEvent>` | `ANY` | Common supertype for all transform changed event types.
  `static EventType<TransformChangedEvent>` | `TRANSFORM_CHANGED` | The only valid EventType for the TransformChangedEvent.

  ### Fields declared in class javafx.event.Event

  `consumed, eventType, NULL_SOURCE_TARGET, target`

  ### Fields declared in class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TransformChangedEvent()` | Creates a new `TransformChangedEvent` with an event type of `TRANSFORM_CHANGED`.
  `TransformChangedEvent​(Object source, EventTarget target)` | Construct a new `TransformChangedEvent` with the specified event source and target.

- ## Method Summary

  ### Methods declared in class javafx.event.Event

  `clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

  ### Methods declared in class java.util.EventObject

  `getSource, toString`

  ### Methods declared in class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TRANSFORM_CHANGED

    public static final EventType<TransformChangedEvent> TRANSFORM_CHANGED
    The only valid EventType for the TransformChangedEvent.

  - ### ANY

    public static final EventType<TransformChangedEvent> ANY
    Common supertype for all transform changed event types.

- ## Constructor Details

  - ### TransformChangedEvent

    public TransformChangedEvent()
    Creates a new `TransformChangedEvent` with an event type of `TRANSFORM_CHANGED`. The source and target of the event is set to `NULL_SOURCE_TARGET`.

  - ### TransformChangedEvent

    public TransformChangedEvent​(Object source, EventTarget target)
    Construct a new `TransformChangedEvent` with the specified event source and target. If the source or target is set to `null`, it is replaced by the `NULL_SOURCE_TARGET` value. All TransformChangedEvents have their type set to `TRANSFORM_CHANGED`.
    Parameters:
      `source` - the event source which sent the event
      `target` - the event target to associate with the event